[toplevel patch, committed] move a little more from configure->make

Nathanael Nerode neroden@twcny.rr.com
Mon Jul 28 03:26:00 GMT 2003


As discussed in private mail with DJ and Phil Edwards.  Bootstrapped
i686-pc-linux-gnu.  Committed.

This shouldn't actually affect gdb or binutils, I'm just CC:ing as a 
courtesy.

	* Makefile.tpl: Use 'mkinstalldirs' rather than 'mkdir' when
	creating target and build subdirs to build all parent dirs as needed.
	* Makefile.in: Rebuild.
	* configure.in: Don't build dirs explicitly here.
	* configure: Rebuild.

Index: Makefile.tpl
===================================================================
RCS file: /cvs/gcc/gcc/Makefile.tpl,v
retrieving revision 1.67
diff -u -r1.67 Makefile.tpl
--- Makefile.tpl	22 Jul 2003 19:01:20 -0000	1.67
+++ Makefile.tpl	28 Jul 2003 02:37:56 -0000
@@ -779,8 +779,7 @@
 maybe-configure-build-[+module+]:
 configure-build-[+module+]:
 	@test ! -f $(BUILD_SUBDIR)/[+module+]/Makefile || exit 0; \
-	[ -d $(BUILD_SUBDIR)/[+module+] ] || \
-	  mkdir $(BUILD_SUBDIR)/[+module+];\
+	$(SHELL) $(srcdir)/mkinstalldirs $(BUILD_SUBDIR)/[+module+] ; \
 	r=`${PWD_COMMAND}`; export r; \
 	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
 	AR="$(AR_FOR_BUILD)"; export AR; \
@@ -950,15 +949,13 @@
 
 # There's only one multilib.out.  Cleverer subdirs shouldn't need it copied.
 $(TARGET_SUBDIR)/[+module+]/multilib.out: multilib.out
-	@[ -d $(TARGET_SUBDIR)/[+module+] ] || \
-	  mkdir $(TARGET_SUBDIR)/[+module+]; \
+	$(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/[+module+] ; \
 	rm -f $(TARGET_SUBDIR)/[+module+]/Makefile || : ; \
 	cp multilib.out $(TARGET_SUBDIR)/[+module+]/multilib.out
 
 configure-target-[+module+]: $(TARGET_SUBDIR)/[+module+]/multilib.out
 	@test ! -f $(TARGET_SUBDIR)/[+module+]/Makefile || exit 0; \
-	[ -d $(TARGET_SUBDIR)/[+module+] ] || \
-	  mkdir $(TARGET_SUBDIR)/[+module+];\
+	$(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/[+module+] ; \
 	r=`${PWD_COMMAND}`; export r; \
 	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
 	$(SET_LIB_PATH) \
Index: configure.in
===================================================================
RCS file: /cvs/gcc/gcc/configure.in,v
retrieving revision 1.246
diff -u -r1.246 configure.in
--- configure.in	13 Jul 2003 20:47:31 -0000	1.246
+++ configure.in	28 Jul 2003 02:38:09 -0000
@@ -192,26 +192,8 @@
   is_cross_compiler=yes
 fi	
 
-# Find the build and target subdirs.
+# Find the build and target subdir names.
 GCC_TOPLEV_SUBDIRS
-
-if test ! -d ${target_subdir} ; then
-  if mkdir ${target_subdir} ; then true
-  else
-    echo "'*** could not make ${PWD=`${PWDCMD-pwd}`}/${target_subdir}" 1>&2
-    exit 1
-  fi
-fi
-
-if test x"${build_alias}" != x"${host}" ; then
-  if test ! -d ${build_subdir} ; then
-    if mkdir ${build_subdir} ; then true
-    else
-      echo "'*** could not make ${PWD=`${PWDCMD-pwd}`}/${build_subdir}" 1>&2
-      exit 1
-    fi
-  fi
-fi
 
 # Skipdirs are removed silently.
 skipdirs=

-- 
Nathanael Nerode  <neroden at gcc.gnu.org>
http://home.twcny.rr.com/nerode/neroden/fdl.html



More information about the Gcc-patches mailing list